<template>
  <div>
    <Step1 @select="select"></Step1>
    <Step2 :val="value"  :currency="selectedCurrency"></Step2>
    <slot></slot>
  </div>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import Step1 from './Step1_copy';
  import Step2 from './Step2';
//@change="val => $emit('input', val)"
  export default {
    name: "index",
    props: {
      value: {
        type: Number,
        default: 5
      }
    },
    data() {
      return {
        selectedCurrency: {},
        amount: 5
      }
    },
    components: {
      PageCard,
      Step1,
      Step2
    },
    methods: {
      select(curr) {
        this.selectedCurrency = curr;
      }
    }
  }
</script>
